with text_io,integer_io;                 use text_io,integer_io;
with Standard_Floating_Numbers;          use Standard_Floating_Numbers;
with Standard_Complex_Vectors;           use Standard_Complex_Vectors;
with Standard_Random_Numbers;            use Standard_Random_Numbers;
with Standard_Random_Vectors;            use Standard_Random_Vectors;
with Hash_Table;

procedure ts_hash is
 
-- DESCRIPTION :
--   Interactive testing facility on the package Hash_Table.

  procedure Test_Initialize ( m,n : in natural ) is

    f : Vector(1..n) := Random_Vector(1,n);
    ranflt1 : double_float := Random;
    ranflt2 : double_float := Random;

  begin
    Hash_Table.Initialize(m,f,ranflt1,ranflt2);
  end Test_Initialize;

  procedure Main is

    m,n : natural;

  begin
    new_line;
    put_line("Testing a hash table.");
    new_line;
    put("Give the size of the table : "); get(m);
    put("Give the dimension of the vectors : "); get(n);
  end Main;

begin
  Main;
end ts_hash;
