with Standard_Integer_Vectors;
with Standard_Floating_Vectors;
with Standard_Complex_Vectors;

package Standard_Random_Vectors is

-- DESCRIPTION :
--   Offers routines to generate vectors of random standard numbers.

  function Random_Vector ( first,last,low,upp : integer )
                         return Standard_Integer_Vectors.Vector;

  -- DESCRIPTION : 
  --   Returns a vector of range first..last with entries between low and upp.

  function Random_Vector ( first,last : integer )
                         return Standard_Floating_Vectors.Vector;

  -- DESCRIPTION :
  --   Returns a vector of range first..last with random floating numbers.

  function Random_Vector ( first,last : integer )
                         return Standard_Complex_Vectors.Vector;

  -- DESCRIPTION :
  --   Returns a vector of range first..last with random complex numbers.

end Standard_Random_Vectors;
