with Multprec_Natural_Numbers;           use Multprec_Natural_Numbers;
with Multprec_Integer_Numbers;           use Multprec_Integer_Numbers;
with Multprec_Floating_Numbers;          use Multprec_Floating_Numbers;
with Multprec_Complex_Numbers;           use Multprec_Complex_Numbers;

package Multprec_Random_Numbers is

-- DESCRIPTION :
--   This package provides the generation of multi-precision natural
--   and integer number of a prescribed size.
--   The generated floating numbers lie between 0.1 and 1.0.

  function Random ( size : natural ) return Natural_Number;
  function Random ( size : natural ) return Integer_Number;
  function Random ( size : natural ) return Floating_Number;
  function Random ( size : natural ) return Complex_Number;

end Multprec_Random_Numbers;
