with Standard_Complex_Polynomials;
with Standard_Complex_Poly_Systems;
with Multprec_Complex_Polynomials;
with Multprec_Complex_Poly_Systems;

package Standard_to_Multprec_Convertors is

-- DESCRIPTION :
--   Conversion from standard complex into multi-precision complex
--   and setting of the size of the coefficients.

  function Convert ( p : Standard_Complex_Polynomials.Poly )
                   return Multprec_Complex_Polynomials.Poly;

  function Convert ( p : Standard_Complex_Poly_Systems.Poly_Sys )
                   return Multprec_Complex_Poly_Systems.Poly_Sys;

  procedure Set_Size ( p : in out Multprec_Complex_Polynomials.Poly;
                       size : in natural );

  procedure Set_Size ( p : in out Multprec_Complex_Poly_Systems.Poly_Sys;
                       size : in natural );

end Standard_to_Multprec_Convertors;
