with text_io;                           use text_io;
with Standard_Complex_Poly_Systems;     use Standard_Complex_Poly_Systems;
with Standard_Complex_Solutions;        use Standard_Complex_Solutions;
with Systems_with_Parameters;           use Systems_with_Parameters;
with Parameter_Homotopy_Continuation;   use Parameter_Homotopy_Continuation;

procedure ts_parcon is

-- DESCRIPTION :
--   Stand-alone calling procedure to coefficient parameter continuation.

  procedure Main is

    file : file_type;
    lp : Link_to_Poly_Sys;
    sols : Solution_List;
    nb_equ,nb_unk,nb_par : natural;

  begin
    new_line;
    put_line("Running coefficient-parameter homotopy continuation...");
    Read_Parameter_Homotopy(file,lp,sols,nb_equ,nb_unk,nb_par);
    Coefficient_Parameter_Homotopy_Continuation
      (file,lp.all,sols,nb_equ,nb_unk,nb_par);
  end Main;

begin
  Main;
end ts_parcon; 
