with text_io,integer_io;                use text_io,integer_io;
with Symbol_Table;
with Standard_Complex_Polynomials;      use Standard_Complex_Polynomials;
with Standard_Complex_Polynomials_io;   use Standard_Complex_Polynomials_io;
with Standard_Random_Polynomials;       use Standard_Random_Polynomials;

procedure ts_randpoly is

-- DESCRIPTION :
--   Lets the user generate random sparse and dense polynomials.

  procedure Main is

    n,d,m,c : natural;
    p : Poly;

  begin
    new_line;
    put_line("Generation of random dense and sparse polynomials.");
    loop
      new_line;
      put("Give the number of variables (0 to exit): "); get(n);
      exit when (n = 0);
      Symbol_Table.Init(n);
      put("Give the maximal degree : "); get(d);
      put("Give number of monomials (0 for dense): "); get(m);
      put_line("MENU to generate coefficients : ");
      put_line("  0 = on complex unit circle;");
      put_line("  1 = equal to the constant one;");
      put_line("  2 = random real numbers between -1 and +1;");
      put("Give natural number to make your choice : "); get(c);
      if m = 0
       then p := Random_Dense_Poly(n,d,c);
       else p := Random_Sparse_Poly(n,d,m,c);
      end if;
      new_line;
      put("-> p = ");
      if c /= 1 and c /= 2
       then put_line(p);
       else put(p); new_line;
      end if;
    end loop;
  end Main;

begin
  Main;
end ts_randpoly;
