with text_io,integer_io;                 use text_io,integer_io;
with Standard_Complex_Poly_Systems;      use Standard_Complex_Poly_Systems;
with Standard_Complex_Poly_Systems_io;   use Standard_Complex_Poly_Systems_io;
with Arrays_of_Integer_Vector_Lists;     use Arrays_of_Integer_Vector_Lists;
with Power_Lists;                        use Power_Lists;
with Mixed_Volume_Computation;           use Mixed_Volume_Computation;

procedure ts_mixvol is

-- DESCRIPTION :
--   Tests the mixed-volume computation.

  lp : Link_to_Poly_Sys;

begin
  new_line;
  put_line("Test on the mixed-volume computation.");
  new_line;
  get(lp);
  new_line;
  declare
    supports : Array_of_Lists(lp'range) := Create(lp.all);
    mv : natural := Mixed_Volume(lp'last,supports);
  begin
    put("The mixed volume : "); put(mv,1); new_line;
  end;
end ts_mixvol;
