with text_io,integer_io;                use text_io,integer_io;
with Communications_with_User;          use Communications_with_User;
with Standard_Natural_Vectors_io;       use Standard_Natural_Vectors_io;

package body Checker_Boards_io is

  procedure Write ( b : in Board ) is
  begin
    for i in b'range(1) loop
      for j in b'range(2) loop
        put(" "); put(b(i,j));
      end loop;
      new_line;
    end loop;
  end Write;
  
  procedure Read_Permutation ( p : out Vector ) is
  begin
    put("Give "); put(p'last,1);
    put(" natural numbers : ");
    get(p);
  end Read_Permutation;

  procedure Write_Permutation ( p : in Vector ) is

    b : board(p'range,p'range) := Configuration(p);

  begin
    put(p); new_line;
    Write(b);
    put(Permutation(b)); new_line;
  end Write_Permutation;

  procedure Write_Coordinates ( rows,cols : in Vector ) is
  begin
    put("["); put(rows); put("]");
    put("["); put(cols); put("]");
    new_line;
  end Write_Coordinates;

  procedure Write ( b : in Board; p,rows,cols : in Vector ) is
  begin
    put(p); new_line;
    Write(b);
    Write_Coordinates(rows,cols);
  end Write;

end Checker_Boards_io;
