with text_io,integer_io;               use text_io,integer_io;
with Pieri_Root_Count;

procedure ts_piroco is

-- DESCRIPTION :
--   This interactive program reads the (m,p,q) input parameters and
--   invokes the combinatorial root counting based on Pieri's rule.

  m,p,q,n : integer;

begin
  new_line;
  put_line("Combinatorial root count in the quantum Schubert calculus.");
  new_line;
  put("Give the dimension of the input planes : "); get(m);
  put("Give the dimension of the output planes : "); get(p);
  put("Give the degree of the maps : "); get(q);
  new_line;
  n := Pieri_Root_Count(m,p,q);
  put("The number of degree "); put(q,1);
  put(" maps producing "); put(p,1); put_line("-planes");
  put("that meet "); put(m*p,1); put(" general ");
  put(m,1); put("-planes is "); put(n,1); put_line(".");
end ts_piroco;